Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::TLS::Stream_Sequence_Numbers Class Referencefinal

`#include <tls_seq_numbers.h>`

Inheritance diagram for Botan::TLS::Stream_Sequence_Numbers:

## Public Member Functions
bool | already_seen (uint64_t) const override
uint16_t | current_read_epoch () const override
uint16_t | current_write_epoch () const override
void | new_read_cipher_state () override
void | new_write_cipher_state () override
uint64_t | next_read_sequence () override
uint64_t | next_write_sequence (uint16_t) override
void | read_accept (uint64_t) override

## Detailed Description

Definition at line 35 of file tls_seq_numbers.h.

## Member Function Documentation

bool Botan::TLS::Stream_Sequence_Numbers::already_seen | ( | uint64_t |  | ) | const
| inline override virtual

Implements Botan::TLS::Connection_Sequence_Numbers.

Definition at line 47 of file tls_seq_numbers.h.

47 { return false; }

uint16_t Botan::TLS::Stream_Sequence_Numbers::current_read_epoch | ( |  | ) | const
| inline override virtual

Implements Botan::TLS::Connection_Sequence_Numbers.

Definition at line 41 of file tls_seq_numbers.h.

41 { return m_read_epoch; }

uint16_t Botan::TLS::Stream_Sequence_Numbers::current_write_epoch | ( |  | ) | const
| inline override virtual

Implements Botan::TLS::Connection_Sequence_Numbers.

Definition at line 42 of file tls_seq_numbers.h.

42 { return m_write_epoch; }

void Botan::TLS::Stream_Sequence_Numbers::new_read_cipher_state | ( |  | ) |
| inline override virtual

Implements Botan::TLS::Connection_Sequence_Numbers.

Definition at line 38 of file tls_seq_numbers.h.

38 { m_read_seq_no = 0; m_read_epoch += 1; }

void Botan::TLS::Stream_Sequence_Numbers::new_write_cipher_state | ( |  | ) |
| inline override virtual

Implements Botan::TLS::Connection_Sequence_Numbers.

Definition at line 39 of file tls_seq_numbers.h.

39 { m_write_seq_no = 0; m_write_epoch += 1; }

uint64_t Botan::TLS::Stream_Sequence_Numbers::next_read_sequence | ( |  | ) |
| inline override virtual

Implements Botan::TLS::Connection_Sequence_Numbers.

Definition at line 45 of file tls_seq_numbers.h.

45 { return m_read_seq_no; }

uint64_t Botan::TLS::Stream_Sequence_Numbers::next_write_sequence | ( | uint16_t |  | ) |
| inline override virtual

Implements Botan::TLS::Connection_Sequence_Numbers.

Definition at line 44 of file tls_seq_numbers.h.

44 { return m_write_seq_no++; }

void Botan::TLS::Stream_Sequence_Numbers::read_accept | ( | uint64_t |  | ) |
| inline override virtual

Implements Botan::TLS::Connection_Sequence_Numbers.

Definition at line 48 of file tls_seq_numbers.h.

48 { m_read_seq_no++; }

The documentation for this class was generated from the following file:

- src/lib/tls/tls_seq_numbers.h